<template>
  <div class="uploadIconBox">
    <i class="iconfont iconyitusousuo-09" @click="showUpload"></i>
    <!-- <i class="el-input__icon el-icon-camera-solid" @click="showUpload"></i> -->
    <SearchLeft v-show="visibile" @closeUpload="showUpload"></SearchLeft>
  </div>
</template>
<script>
import SearchLeft from "./uploadForModel";
export default {
  components: {
    SearchLeft,
  },
  data() {
    return {
      visibile: false,
    };
  },
  methods: {
    showUpload() {
      this.visibile = !this.visibile;
    },
  },
};
</script>
<style lang="scss">
.uploadIconBox {
  position: relative;
  i {
    font-size: 24px;
    color: rgb(209, 209, 209);
    cursor: pointer;
  }
  .left-section1 {
    border-radius: 8px;
    position: absolute;
    z-index: 2;
    height: fit-content;
    left: -270px;
    top: 40px;
    padding: 20px;
    box-shadow: 0px 0px 10px rgb(0 0 0 / 12%);
  }
}
</style>